1. API Reference
PixVerse Platform Docs
  • Overview
    • Introduction to PixVerse API Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)
    • Webhook integration
    • Get template list
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Motion Control (Mimic) generation
      • Modify generation
      • Upscale Video
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Get user credit balance
      GET
    • Upload Video&audio
      POST
    • Get template list
      GET
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Changelogs
    • PixVerse MCP
    • Terms of Service
    • Privacy policy
  1. API Reference

Get template list

GET
/openapi/v2/video/effects/templates/list

Request

Query Params

Header Params

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/effects/templates/list?type=1&page=1&pageSize=50' \
--header 'Ai-Trace-Id: your-ai-trace-id' \
--header 'API-KEY: your-api-key' \
--header 'Accept-Language: zh-CN, en'
Response Response Example
{
  "ErrCode": 0,
  "ErrMsg": "Success",
  "Resp": {
    "effect_items": [
      {
        "template_id": 402331965264704,
        "display_name": "Audience Reaction Shot",
        "display_prompt": "Generate a cinematic audience reaction shot.",
        "thumbnail_video_url": "https://media.pixverse.ai/asset%2Ftemplate%2Fstands_cam_capture.mp4",
        "qualities": [
          "360p",
          "540p",
          "720p",
          "1080p"
        ],
        "effect_type": "1",
        "effect_length": [
          8
        ],
        "topic_requirements": "Subject type: person\nRecommended subject count: 1-2",
        "type": 1,
        "create_at": "2026-06-11 14:43:28",
        "credit_consume": [
          {
            "consume_desc_key": "360p",
            "credit": "55"
          },
          {
            "consume_desc_key": "540p",
            "credit": "78"
          },
          {
            "consume_desc_key": "720p",
            "credit": "100"
          },
          {
            "consume_desc_key": "1080p",
            "credit": "190"
          }
        ]
      }
    ]
  }
}
Previous
Upload Video&audio
Next
FAQ